org.apache.ode.bpel.dd.impl

## Class TCleanupImpl

- java.lang.Object
- - org.apache.xmlbeans.impl.values.XmlObjectBase
  - - org.apache.xmlbeans.impl.values.XmlComplexContentImpl
    - - org.apache.ode.bpel.dd.impl.TCleanupImpl

- All Implemented Interfaces:
    java.io.Serializable, TCleanup, org.apache.xmlbeans.impl.values.TypeStoreUser, org.apache.xmlbeans.SimpleValue, org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

      public class TCleanupImpl
      extends org.apache.xmlbeans.impl.values.XmlComplexContentImpl
      implements TCleanup

  An XML tCleanup(@http://www.apache.org/ode/schemas/dd/2007/03). This is a complex type.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TCleanupImpl.CategoryImpl` An XML category(@http://www.apache.org/ode/schemas/dd/2007/03).
    `static class` | `TCleanupImpl.OnImpl` An XML on(@).

    - ### Nested classes/interfaces inherited from interface org.apache.ode.bpel.dd.TCleanup

      `TCleanup.Category, TCleanup.Factory, TCleanup.On`

  - ### Field Summary

    - ### Fields inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_voorVc, KIND_SETTERHELPER_ARRAYITEM, KIND_SETTERHELPER_SINGLETON, MAJOR_VERSION_NUMBER, MINOR_VERSION_NUMBER`

    - ### Fields inherited from interface org.apache.ode.bpel.dd.TCleanup

      `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TCleanupImpl(org.apache.xmlbeans.SchemaType sType)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCategory(TCleanup.Category.Enum category)` Appends the value as the last "category" element
    `void` | `addFilter(java.lang.String filter)` Appends the value as the last "filter" element
    `TCleanup.Category` | `addNewCategory()` Appends and returns a new empty value (as xml) as the last "category" element
    `org.apache.xmlbeans.XmlString` | `addNewFilter()` Appends and returns a new empty value (as xml) as the last "filter" element
    `TCleanup.Category.Enum[]` | `getCategoryArray()` Deprecated.
    `TCleanup.Category.Enum` | `getCategoryArray(int i)` Gets ith "category" element
    `java.util.List<TCleanup.Category.Enum>` | `getCategoryList()` Gets a List of "category" elements
    `java.lang.String[]` | `getFilterArray()` Deprecated.
    `java.lang.String` | `getFilterArray(int i)` Gets ith "filter" element
    `java.util.List<java.lang.String>` | `getFilterList()` Gets a List of "filter" elements
    `TCleanup.On.Enum` | `getOn()` Gets the "on" attribute
    `void` | `insertCategory(int i, TCleanup.Category.Enum category)` Inserts the value as the ith "category" element
    `void` | `insertFilter(int i, java.lang.String filter)` Inserts the value as the ith "filter" element
    `TCleanup.Category` | `insertNewCategory(int i)` Inserts and returns a new empty value (as xml) as the ith "category" element
    `org.apache.xmlbeans.XmlString` | `insertNewFilter(int i)` Inserts and returns a new empty value (as xml) as the ith "filter" element
    `boolean` | `isSetOn()` True if has "on" attribute
    `void` | `removeCategory(int i)` Removes the ith "category" element
    `void` | `removeFilter(int i)` Removes the ith "filter" element
    `void` | `setCategoryArray(int i, TCleanup.Category.Enum category)` Sets ith "category" element
    `void` | `setCategoryArray(TCleanup.Category.Enum[] categoryArray)` Sets array of all "category" element
    `void` | `setFilterArray(int i, java.lang.String filter)` Sets ith "filter" element
    `void` | `setFilterArray(java.lang.String[] filterArray)` Sets array of all "filter" element
    `void` | `setOn(TCleanup.On.Enum on)` Sets the "on" attribute
    `int` | `sizeOfCategoryArray()` Returns number of "category" element
    `int` | `sizeOfFilterArray()` Returns number of "filter" element
    `void` | `unsetOn()` Unsets the "on" attribute
    `TCleanup.Category[]` | `xgetCategoryArray()` Deprecated.
    `TCleanup.Category` | `xgetCategoryArray(int i)` Gets (as xml) ith "category" element
    `java.util.List<TCleanup.Category>` | `xgetCategoryList()` Gets (as xml) a List of "category" elements
    `org.apache.xmlbeans.XmlString[]` | `xgetFilterArray()` Deprecated.
    `org.apache.xmlbeans.XmlString` | `xgetFilterArray(int i)` Gets (as xml) ith "filter" element
    `java.util.List<org.apache.xmlbeans.XmlString>` | `xgetFilterList()` Gets (as xml) a List of "filter" elements
    `TCleanup.On` | `xgetOn()` Gets (as xml) the "on" attribute
    `void` | `xsetCategoryArray(int i, TCleanup.Category category)` Sets (as xml) ith "category" element
    `void` | `xsetCategoryArray(TCleanup.Category[] categoryArray)` Sets (as xml) array of all "category" element
    `void` | `xsetFilterArray(int i, org.apache.xmlbeans.XmlString filter)` Sets (as xml) ith "filter" element
    `void` | `xsetFilterArray(org.apache.xmlbeans.XmlString[] filterArray)` Sets (as xml) array of all "filter" element
    `void` | `xsetOn(TCleanup.On on)` Sets (as xml) the "on" attribute

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlComplexContentImpl

      `arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, compute_text, equal_to, get_default_attribute_text, get_default_element_text, get_elementflags, is_child_element_order_sensitive, new_visitor, schemaType, set_nil, set_String, set_text, unionArraySetterHelper, unionArraySetterHelper, update_from_complex_content, value_hash_code`

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_copy, _copy, _isComplexContent, _isComplexType, _set, _validateOnSet, attach_store, bigDecimalValue, bigIntegerValue, booleanValue, build_nil, build_text, byteArrayValue, byteValue, calendarValue, changeType, check_dated, check_orphaned, compare_to, compareTo, compareValue, copy, copy, create_attribute_user, create_element_user, dateValue, disconnect_store, documentProperties, doubleValue, dump, elementFlags, enumValue, equals, execQuery, execQuery, floatValue, gDateValue, gDurationValue, generatedSetterHelperImpl, get_attribute_field, get_attribute_type, get_attributeflags, get_default_attribute_value, get_element_ending_delimiters, get_element_type, get_schema_type, get_store, get_wscanon_rule, get_wscanon_text, getBigDecimalValue, getBigIntegerValue, getBooleanValue, getByteArrayValue, getByteValue, getCalendarValue, getDateValue, getDomNode, getDoubleValue, getEnumValue, getFloatValue, getGDateValue, getGDurationValue, getIntValue, getListValue, getLongValue, getObjectValue, getQNameValue, getShortValue, getStringValue, getXmlLocale, has_store, hashCode, init_flags, initComplexType, instanceType, intValue, invalidate_element_order, invalidate_nilvalue, invalidate_value, is_defaultable_ws, is_orphaned, isDefault, isDefaultable, isFixed, isImmutable, isInstanceOf, isNil, isNillable, java_value, listValue, longValue, monitor, newCursor, newCursorForce, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, objectSet, objectValue, qNameValue, save, save, save, save, save, save, save, save, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set_b64, set_BigDecimal, set_BigInteger, set_boolean, set_byte, set_ByteArray, set_Calendar, set_char, set_ComplexXml, set_Date, set_double, set_enum, set_float, set_GDate, set_GDuration, set_hex, set_int, set_list, set_long, set_newValue, set_notation, set_QName, set_short, set_xmlanysimple, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, setBigDecimalValue, setBigIntegerValue, setBooleanValue, setByteArrayValue, setByteValue, setCalendarValue, setDateValue, setDoubleValue, setEnumValue, setFloatValue, setGDateValue, setGDateValue, setGDurationValue, setGDurationValue, setImmutable, setIntValue, setListValue, setLongValue, setNil, setObjectValue, setQNameValue, setShortValue, setStringValue, setValidateOnSet, shortValue, stringValue, substitute, toString, uses_invalidate_value, validate_now, validate_simpleval, validate, validate, valueEquals, valueHashCode, writeReplace, xgetListValue, xlistValue, xmlText, xmlText`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Constructor Detail

    - #### TCleanupImpl

          public TCleanupImpl(org.apache.xmlbeans.SchemaType sType)

  - ### Method Detail

    - #### getCategoryList

          public java.util.List<TCleanup.Category.Enum> getCategoryList()

      Gets a List of "category" elements
      Specified by:
        `getCategoryList` in interface `TCleanup`

    - #### getCategoryArray

          @Deprecated
          public TCleanup.Category.Enum[] getCategoryArray()

      Deprecated.
      Gets array of all "category" elements
      Specified by:
        `getCategoryArray` in interface `TCleanup`

    - #### getCategoryArray

          public TCleanup.Category.Enum getCategoryArray(int i)

      Gets ith "category" element
      Specified by:
        `getCategoryArray` in interface `TCleanup`

    - #### xgetCategoryList

          public java.util.List<TCleanup.Category> xgetCategoryList()

      Gets (as xml) a List of "category" elements
      Specified by:
        `xgetCategoryList` in interface `TCleanup`

    - #### xgetCategoryArray

          @Deprecated
          public TCleanup.Category[] xgetCategoryArray()

      Deprecated.
      Gets array of all "category" elements
      Specified by:
        `xgetCategoryArray` in interface `TCleanup`

    - #### xgetCategoryArray

          public TCleanup.Category xgetCategoryArray(int i)

      Gets (as xml) ith "category" element
      Specified by:
        `xgetCategoryArray` in interface `TCleanup`

    - #### sizeOfCategoryArray

          public int sizeOfCategoryArray()

      Returns number of "category" element
      Specified by:
        `sizeOfCategoryArray` in interface `TCleanup`

    - #### setCategoryArray

          public void setCategoryArray(TCleanup.Category.Enum[] categoryArray)

      Sets array of all "category" element
      Specified by:
        `setCategoryArray` in interface `TCleanup`

    - #### setCategoryArray

          public void setCategoryArray(int i,
                              TCleanup.Category.Enum category)

      Sets ith "category" element
      Specified by:
        `setCategoryArray` in interface `TCleanup`

    - #### xsetCategoryArray

          public void xsetCategoryArray(TCleanup.Category[] categoryArray)

      Sets (as xml) array of all "category" element
      Specified by:
        `xsetCategoryArray` in interface `TCleanup`

    - #### xsetCategoryArray

          public void xsetCategoryArray(int i,
                               TCleanup.Category category)

      Sets (as xml) ith "category" element
      Specified by:
        `xsetCategoryArray` in interface `TCleanup`

    - #### insertCategory

          public void insertCategory(int i,
                            TCleanup.Category.Enum category)

      Inserts the value as the ith "category" element
      Specified by:
        `insertCategory` in interface `TCleanup`

    - #### addCategory

          public void addCategory(TCleanup.Category.Enum category)

      Appends the value as the last "category" element
      Specified by:
        `addCategory` in interface `TCleanup`

    - #### insertNewCategory

          public TCleanup.Category insertNewCategory(int i)

      Inserts and returns a new empty value (as xml) as the ith "category" element
      Specified by:
        `insertNewCategory` in interface `TCleanup`

    - #### addNewCategory

          public TCleanup.Category addNewCategory()

      Appends and returns a new empty value (as xml) as the last "category" element
      Specified by:
        `addNewCategory` in interface `TCleanup`

    - #### removeCategory

          public void removeCategory(int i)

      Removes the ith "category" element
      Specified by:
        `removeCategory` in interface `TCleanup`

    - #### getFilterList

          public java.util.List<java.lang.String> getFilterList()

      Gets a List of "filter" elements
      Specified by:
        `getFilterList` in interface `TCleanup`

    - #### getFilterArray

          @Deprecated
          public java.lang.String[] getFilterArray()

      Deprecated.
      Gets array of all "filter" elements
      Specified by:
        `getFilterArray` in interface `TCleanup`

    - #### getFilterArray

          public java.lang.String getFilterArray(int i)

      Gets ith "filter" element
      Specified by:
        `getFilterArray` in interface `TCleanup`

    - #### xgetFilterList

          public java.util.List<org.apache.xmlbeans.XmlString> xgetFilterList()

      Gets (as xml) a List of "filter" elements
      Specified by:
        `xgetFilterList` in interface `TCleanup`

    - #### xgetFilterArray

          @Deprecated
          public org.apache.xmlbeans.XmlString[] xgetFilterArray()

      Deprecated.
      Gets array of all "filter" elements
      Specified by:
        `xgetFilterArray` in interface `TCleanup`

    - #### xgetFilterArray

          public org.apache.xmlbeans.XmlString xgetFilterArray(int i)

      Gets (as xml) ith "filter" element
      Specified by:
        `xgetFilterArray` in interface `TCleanup`

    - #### sizeOfFilterArray

          public int sizeOfFilterArray()

      Returns number of "filter" element
      Specified by:
        `sizeOfFilterArray` in interface `TCleanup`

    - #### setFilterArray

          public void setFilterArray(java.lang.String[] filterArray)

      Sets array of all "filter" element
      Specified by:
        `setFilterArray` in interface `TCleanup`

    - #### setFilterArray

          public void setFilterArray(int i,
                            java.lang.String filter)

      Sets ith "filter" element
      Specified by:
        `setFilterArray` in interface `TCleanup`

    - #### xsetFilterArray

          public void xsetFilterArray(org.apache.xmlbeans.XmlString[] filterArray)

      Sets (as xml) array of all "filter" element
      Specified by:
        `xsetFilterArray` in interface `TCleanup`

    - #### xsetFilterArray

          public void xsetFilterArray(int i,
                             org.apache.xmlbeans.XmlString filter)

      Sets (as xml) ith "filter" element
      Specified by:
        `xsetFilterArray` in interface `TCleanup`

    - #### insertFilter

          public void insertFilter(int i,
                          java.lang.String filter)

      Inserts the value as the ith "filter" element
      Specified by:
        `insertFilter` in interface `TCleanup`

    - #### addFilter

          public void addFilter(java.lang.String filter)

      Appends the value as the last "filter" element
      Specified by:
        `addFilter` in interface `TCleanup`

    - #### insertNewFilter

          public org.apache.xmlbeans.XmlString insertNewFilter(int i)

      Inserts and returns a new empty value (as xml) as the ith "filter" element
      Specified by:
        `insertNewFilter` in interface `TCleanup`

    - #### addNewFilter

          public org.apache.xmlbeans.XmlString addNewFilter()

      Appends and returns a new empty value (as xml) as the last "filter" element
      Specified by:
        `addNewFilter` in interface `TCleanup`

    - #### removeFilter

          public void removeFilter(int i)

      Removes the ith "filter" element
      Specified by:
        `removeFilter` in interface `TCleanup`

    - #### getOn

          public TCleanup.On.Enum getOn()

      Gets the "on" attribute
      Specified by:
        `getOn` in interface `TCleanup`

    - #### xgetOn

          public TCleanup.On xgetOn()

      Gets (as xml) the "on" attribute
      Specified by:
        `xgetOn` in interface `TCleanup`

    - #### isSetOn

          public boolean isSetOn()

      True if has "on" attribute
      Specified by:
        `isSetOn` in interface `TCleanup`

    - #### setOn

          public void setOn(TCleanup.On.Enum on)

      Sets the "on" attribute
      Specified by:
        `setOn` in interface `TCleanup`

    - #### xsetOn

          public void xsetOn(TCleanup.On on)

      Sets (as xml) the "on" attribute
      Specified by:
        `xsetOn` in interface `TCleanup`

    - #### unsetOn

          public void unsetOn()

      Unsets the "on" attribute
      Specified by:
        `unsetOn` in interface `TCleanup`